Bug 922357 - [abrt] fontforge-20120731b-4.fc18: glyphmatches: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
Summary: [abrt] fontforge-20120731b-4.fc18: glyphmatches: Process /usr/bin/fontforge w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8ed50fec44a465c216a1373781d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-16 12:05 UTC by Watanabe, Yuki
Modified: 2014-02-05 20:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 20:01:30 UTC


Attachments (Terms of Use)
File: backtrace (79.76 KB, text/plain)
2013-03-16 12:05 UTC, Watanabe, Yuki
no flags Details
File: build_ids (2.96 KB, text/plain)
2013-03-16 12:05 UTC, Watanabe, Yuki
no flags Details
File: cgroup (131 bytes, text/plain)
2013-03-16 12:05 UTC, Watanabe, Yuki
no flags Details
File: core_backtrace (2.44 KB, text/plain)
2013-03-16 12:05 UTC, Watanabe, Yuki
no flags Details
File: dso_list (7.80 KB, text/plain)
2013-03-16 12:05 UTC, Watanabe, Yuki
no flags Details
File: environ (2.55 KB, text/plain)
2013-03-16 12:06 UTC, Watanabe, Yuki
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-16 12:06 UTC, Watanabe, Yuki
no flags Details
File: maps (38.27 KB, text/plain)
2013-03-16 12:06 UTC, Watanabe, Yuki
no flags Details
File: open_fds (216 bytes, text/plain)
2013-03-16 12:06 UTC, Watanabe, Yuki
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-03-16 12:06 UTC, Watanabe, Yuki
no flags Details

Description Watanabe, Yuki 2013-03-16 12:05:47 UTC
Description of problem:
FontForge crashed when I tried to create a TTC file, merging four large Japanese fonts.

I selected "File" -> "Generate TTC" and clicked "Save." Then FontForge freezed for a few seconds and crashed. It left an empty (zero-byte) TTC file as output.

Version-Release number of selected component:
fontforge-20120731b-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        fontforge meiryo001x.ttf meiryo002x.ttf meiryo003x.ttf meiryo004x.ttf
crash_function: glyphmatches
executable:     /usr/bin/fontforge
kernel:         3.8.2-206.fc18.x86_64
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 glyphmatches at tottf.c:6454
 #2 hashglyphfound at tottf.c:6486
 #3 ttc_prep at tottf.c:6621
 #4 WriteTTC at tottf.c:7073
 #5 DoSave at savefontdlg.c:1587
 #6 GFD_exists at savefontdlg.c:1631
 #7 _gio_file_statfile at giofile.c:184
 #8 _GIO_localDispatch at giofile.c:237
 #9 _GFD_SaveOk at savefontdlg.c:1668
 #10 GFD_SaveOk at savefontdlg.c:1679

Comment 1 Watanabe, Yuki 2013-03-16 12:05:51 UTC
Created attachment 711027 [details]
File: backtrace

Comment 2 Watanabe, Yuki 2013-03-16 12:05:53 UTC
Created attachment 711028 [details]
File: build_ids

Comment 3 Watanabe, Yuki 2013-03-16 12:05:55 UTC
Created attachment 711029 [details]
File: cgroup

Comment 4 Watanabe, Yuki 2013-03-16 12:05:57 UTC
Created attachment 711030 [details]
File: core_backtrace

Comment 5 Watanabe, Yuki 2013-03-16 12:05:59 UTC
Created attachment 711031 [details]
File: dso_list

Comment 6 Watanabe, Yuki 2013-03-16 12:06:01 UTC
Created attachment 711032 [details]
File: environ

Comment 7 Watanabe, Yuki 2013-03-16 12:06:03 UTC
Created attachment 711033 [details]
File: limits

Comment 8 Watanabe, Yuki 2013-03-16 12:06:05 UTC
Created attachment 711034 [details]
File: maps

Comment 9 Watanabe, Yuki 2013-03-16 12:06:07 UTC
Created attachment 711035 [details]
File: open_fds

Comment 10 Watanabe, Yuki 2013-03-16 12:06:09 UTC
Created attachment 711036 [details]
File: proc_pid_status

Comment 11 Fedora End Of Life 2013-12-21 12:12:08 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 20:01:30 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.